idn2_free(3)

NAME
idn2_free - API function

SYNOPSIS
#include <idn2.h>

void idn2_free(void * ptr);

ARGUMENTS

void * ptr
    pointer to deallocate

DESCRIPTION
Call free(3) on the given pointer. This function is typically only useful on systems where the library malloc heap is different from the library caller malloc heap, which happens on Windows when the library is a separate DLL.

REPORTING BUGS
Report bugs to <help-libidn@gnu.org>.
General guidelines for reporting bugs: https://www.gnu.org/gethelp/
Libidn2 home page: https://www.gnu.org/software/libidn2/

COPYRIGHT
Copyright © 2002-2025 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for libidn2 is maintained as a Texinfo manual. If the info and libidn2 programs are properly installed at your site, the command

    info libidn2

should give you access to the complete manual. As an alternative you may obtain the manual from:

    https://www.gnu.org/software/libidn/libidn2/manual/